<?php

	#[F]# X_format
	# @param		$val					mixed		Donne(s)  traiter
	# @param 		$typ					string		Type de traitement  appliquer
	# @param		[$sup]					mixed		Parametres supplmentaires
	# @return								mixed		Donne(s) formates
	if(!function_exists('X_format')){
		function X_format($val,$typ,$sup = ''){
			$return = $val;
			$tabjour = array('dimanche','lundi','mardi','mercredi','jeudi','vendredi','samedi');
			$tabmois = array('','janvier','fvrier','mars','avril','mai','juin','juillet','aot','septembre','octobre','novembre','dcembre');
			## NEW LINES -> PARAGRAPHES 
			if('nl2p' === $typ && !strchr($return,'<ul>')){
				$return = str_replace("\r\n",'</p><p>',$return);
				$return = str_replace("\n",'</p><p>',$return);
				$return = str_replace("\r",'</p><p>',$return);
				$return = '<p>'.$return.'</p>';
			}
			## BR -> NEW LINES
			elseif('br2nl' === $typ){
				$return = preg_replace('/<br>/i',"\n",$return);
				$return = preg_replace('/<br \/>/i',"\n",$return);
				$return = preg_replace('/<br>\//i',"\n",$return);
				$return = preg_replace('/<p/i',"\n".'<p',$return);
				$return = str_replace("\r","\n",$return);
				$return = preg_replace("/\n{2,}/","\n",$return);
			}
			## TELEPHONE 
			elseif('tel' === $typ){
				$return = ereg('([[:digit:]]{2})([[:digit:]]{2})([[:digit:]]{2})([[:digit:]]{2})([[:digit:]]{2})',$return,$tab);
				$return = $tab[1].'&nbsp;'.$tab[2].'&nbsp;'.$tab[3].'&nbsp;'.$tab[4].'&nbsp;'.$tab[5];
			}
			## VAR_DUMP AU FORMAT HTML
			#	@	$sup			integer		Gestion de le rcursivit
			elseif('var_dump' === $typ){
				if(!$sup){
					$r = '<ul><li>';
				}
				if(is_array($val)){
					$r = 'array('.count($val).')<ul>';
					foreach($val as $k=>$v){
						$r .= '<li><strong>'.$k.'</strong> : '.X_format($v,'var_dump',1);
					}
					$r .= '</ul>';
				}
				elseif(is_object($val)){				
					$r = 'object('.count(get_object_vars($val)).')<ul>';
					foreach($val as $k=>$v){
						$r .= '<li><strong>> '.$k.'</strong> : '.X_format($v,'var_dump',1);
					}
					$r .= '</ul>';			
				}
				else{
					$r = gettype($val).'('.strlen($val).') "'.$val.'"</li>';
				}
				if(!$sup){		$r .= '</ul>';}
				$return = $r;
			}
			## MISE EN FORME D'UNE REQUETE SQL
			elseif('sql' === $typ){
				$return = htmlentities($return);
				$return = preg_replace('/(from|order by|limit|inner join|left join|where|having|group by)/i','<br>\\1',$return);
			}
			return $return;
		}
	}

	
?>